%define module  Test-URI
%define version 0.5
%define pre	04
%define release 0.%{pre}.2mdk

Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
Summary: 	Check Uniform Resource Identifiers
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	%{module}-%{version}_%{pre}.tar.bz2
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	perl-devel
BuildRequires:	perl-File-Find-Rule
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Builder-Tester

%description 
Check various parts of Uniform Resource Locators.

%prep
%setup -q -n %{module}-%{version}_%{pre}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mv $RPM_BUILD_ROOT%{_mandir}/man3/URI.3pm $RPM_BUILD_ROOT%{_mandir}/man3/Test::URI.3pm
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5-0.04.2mdk 
- fix directory ownership (distlint)
- buildrequires

* Tue Mar 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5-0.04.1mdk
- first mdk release
